# Asterisk Project : Asterisk 12 AGICommand_gosub

Added by wikibot , edited by wikibot on Aug 29, 2013

# GOSUB

### Synopsis

Cause the channel to execute the specified dialplan subroutine.

### Description

Cause the channel to execute the specified dialplan subroutine, returning to the dialplan with execution of a Return().

### Syntax

    GOSUB CONTEXT EXTENSION PRIORITY OPTIONAL-ARGUMENT

##### Arguments

- `context`
- `extension`
- `priority`
- `optional-argument`

### See Also

- Asterisk 12 Application_GoSub

### Import Version

This documentation was imported from Asterisk Version Unknown